summaryrefslogtreecommitdiffstats
path: root/graphics/ufraw
diff options
context:
space:
mode:
author Nishant Limbachia2010-05-11 20:00:39 +0200
committer Robby Workman2010-05-11 20:00:39 +0200
commita08e8cad9b7c6d145ee2389ff350df23fbecbf35 (patch)
treed164fe9b3f2fb92cebec935dd239ed6754b8e591 /graphics/ufraw
parent14b8caa20fc116712e1e63d13b084ac26c220315 (diff)
downloadslackbuilds-a08e8cad9b7c6d145ee2389ff350df23fbecbf35.tar.gz
graphics/ufraw: Added to 12.0 repository
Diffstat (limited to 'graphics/ufraw')
-rw-r--r--graphics/ufraw/README10
-rw-r--r--graphics/ufraw/slack-desc19
-rw-r--r--graphics/ufraw/ufraw.SlackBuild92
-rw-r--r--graphics/ufraw/ufraw.info8
4 files changed, 129 insertions, 0 deletions
diff --git a/graphics/ufraw/README b/graphics/ufraw/README
new file mode 100644
index 0000000000..74547f72bd
--- /dev/null
+++ b/graphics/ufraw/README
@@ -0,0 +1,10 @@
+The UFRaw (Unidentified Flying Raw) is a tool for reading and manipulating
+raw images from digital cameras. It supports most of the existing raw
+formats (any format supported by DCRaw). UFRaw can be used on its own or
+as a Gimp plug-in.
+
+UFRaw depends on dcraw, which is also available at SlackBuilds.org.
+However, you can add "--enable-extras" to the configure arguments in the
+build script to use the included dcraw.
+An optional dependency is exiv2 (available at SlackBuilds.org) if you want
+the ability to read exif data with ufraw.
diff --git a/graphics/ufraw/slack-desc b/graphics/ufraw/slack-desc
new file mode 100644
index 0000000000..0a831386f7
--- /dev/null
+++ b/graphics/ufraw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ufraw: Unindentified Flying RAW (UFRaw)
+ufraw:
+ufraw: ufraw is a utility to read and manipulate raw images from
+ufraw: digital cameras. It can be used on its own or as a Gimp plug-in.
+ufraw: It reads raw images using Dave Coffin's raw conversion utility
+ufraw: DCRaw. UFRaw supports basic color management using Little CMS,
+ufraw: allowing the user to apply color profiles.
+ufraw:
+ufraw: Home Page: http://ufraw.sourceforge.net/
+ufraw:
+ufraw:
diff --git a/graphics/ufraw/ufraw.SlackBuild b/graphics/ufraw/ufraw.SlackBuild
new file mode 100644
index 0000000000..b557b35b99
--- /dev/null
+++ b/graphics/ufraw/ufraw.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware Package Build Script for UFRaw (Unidentified Flying Raw)
+# Home Page http://ufraw.sourceforge.net/
+
+# Copyright (c) 2007, Nishant Limbachia (nishant@mnspace.net)
+# Copyright (c) 2007, Robby Workman <rworkman@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ufraw
+VERSION=0.13
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $TMP/$PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-mime
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 ufraw.desktop $PKG/usr/share/applications
+install -m 0644 icons/ufraw.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING MANIFEST README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/ufraw/ufraw.info b/graphics/ufraw/ufraw.info
new file mode 100644
index 0000000000..d46814cb67
--- /dev/null
+++ b/graphics/ufraw/ufraw.info
@@ -0,0 +1,8 @@
+PRGNAM="ufraw"
+VERSION="0.13"
+HOMEPAGE="http://ufraw.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/ufraw/ufraw-0.13.tar.gz"
+MD5SUM="6470f787a8f62f6e1642161e3c8d557b"
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="rworkman"